# 部署说明

## 分类

本项目分云端部署。

### 构建项目

打包 web 前端资源。

```sh
npm run build:prod
```

### 云端部署

#### 确保能登录 docker 私有仓库

```sh
docker login --username=huyue@qmth registry.cn-shenzhen.aliyuncs.com
```

#### build/tag/push docker image

**_(重要！！！)首先修改 docker-push.sh 中的 tag。_**

```sh
./docker-push.sh
```

### docker container 暴露端口

仅暴露 80 端口供获取静态资源。
