// 菜单配置
// headerMenuConfig：头部导航配置
// asideMenuConfig：侧边导航配置

const headerMenuConfig = [
  {
    title: "系统管理",
    name: "System",
    icon: "icon-base",
  },
  {
    title: "考务管理",
    name: "Exam",
    icon: "icon-business",
  },
  {
    title: "监考管理",
    name: "Invigilation",
    icon: "icon-invigilation",
  },
];

const systemMenuConfig = [
  {
    title: "系统管理",
    name: "System",
    icon: "el-icon-menu",
    children: [
      {
        title: "用户管理",
        name: "UserManagement",
      },
      {
        title: "机构管理",
        name: "OrgManagement",
      },
    ],
  },
];

const examMenuConfig = [
  {
    title: "考务管理",
    name: "Exam",
    icon: "icon-business",
    children: [
      {
        title: "批次管理",
        name: "ExamManagement",
      },
      {
        title: "考生管理",
        name: "ExamStudentManagement",
      },
      {
        title: "考生导入",
        name: "ExamStudentImport",
      },
      {
        title: "调卷规则",
        name: "CourseManagement",
      },
      {
        title: "学生档案",
        name: "StudentManagement",
      },
      {
        title: "考场监考设置",
        name: "InvigilateManagement",
      },
      {
        title: "导入导出任务",
        name: "ImportExportTask",
      },
      {
        title: "成绩查询",
        name: "MarkResultManagement",
      },
    ],
  },
];

const invigilationMenuConfig = [
  {
    title: "考情监控",
    name: "Base",
    icon: "icon-exam-detail",
    children: [
      {
        title: "考情监控",
        name: "ExamInvigilation",
      },
      {
        title: "在线巡考",
        name: "OnlinePatrol",
      },
    ],
  },
  {
    title: "监考管理",
    name: "monitoring",
    icon: "icon-invigilation",
    children: [
      {
        title: "实时监控台",
        name: "RealtimeMonitoring",
      },
      {
        title: "监考明细管理",
        name: "InvigilationDetail",
      },
      {
        title: "预警提醒",
        name: "WarningManage",
      },
      {
        title: "重考申请",
        name: "ReexamApply",
      },
      {
        title: "进度查询",
        name: "ProgressDetail",
      },
    ],
  },
  {
    title: "重考审批",
    name: "Reexam",
    icon: "icon-reexam",
    children: [
      {
        title: "重考待审",
        name: "ReexamPending",
      },
      {
        title: "重考已审",
        name: "ReexamChecked",
      },
    ],
  },
  {
    title: "查询统计",
    name: "Query",
    icon: "icon-invigilation",
    children: [
      {
        title: "考情综合报表分析",
        name: "ExamReport",
      },
      {
        title: "考生端日志管理",
        name: "StudentLogManage",
      },
    ],
  },
];

export default {
  headerMenuConfig,
  systemMenuConfig,
  examMenuConfig,
  invigilationMenuConfig,
};
